-- {13.1.19.8684_13.2.539.8684}
if col_length('MEASURES', 'DATA_TYPE') is null
	begin
		exec ('alter table MEASURES add DATA_TYPE int default 0 ')
		exec ('				
			update MEASURES set DATA_TYPE = 0 where ms_type not in (3,4)
			update MEASURES set DATA_TYPE = 1 where ms_type in (3,4)
		')		
	end
GO

if col_length('MEASURES', 'DATA_PROPERTY') is null
	begin
		exec ('alter table MEASURES add DATA_PROPERTY int default (0)')		
		exec ('update MEASURES set DATA_PROPERTY = 0 where DATA_PROPERTY is null')
	end

GO
if col_length('STORAGE', 'STORAGE_SELF') is null
	begin
		alter table STORAGE add STORAGE_SELF int
		
		IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_STORAGE_STORAGE_SELF]') AND parent_object_id = OBJECT_ID(N'[dbo].[STORAGE]'))
		ALTER TABLE [dbo].[STORAGE] DROP CONSTRAINT [FK_STORAGE_STORAGE_SELF]

		ALTER TABLE [dbo].[STORAGE]  WITH CHECK ADD  CONSTRAINT [FK_STORAGE_STORAGE_SELF] FOREIGN KEY([STORAGE_SELF])
		REFERENCES [dbo].[STORAGE] ([STORAGEID])

		ALTER TABLE [dbo].[STORAGE] CHECK CONSTRAINT [FK_STORAGE_STORAGE_SELF]
	end
GO



if col_length('calc_measures', 'REMBYDATE') is null
	begin
		exec ('alter table calc_measures add REMBYDATE int default 0 ')
		exec ('				
			update calc_measures set REMBYDATE = 0 where REMBYDATE is null			
		')		
	end	
GO
